curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactReference \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactId": 501,
"contactIndividualId": null,
"referenceSource": "Stripe",
"referenceId": "cus_123456"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: 501,
contactIndividualId: null,
referenceSource: 'Stripe',
referenceId: 'cus_123456'
})
};
fetch('https://api.virtuoussoftware.com/api/ContactReference', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactReference"
payload = {
"contactId": 501,
"contactIndividualId": None,
"referenceSource": "Stripe",
"referenceId": "cus_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactReference");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"contactId\": 501,\n \"contactIndividualId\": null,\n \"referenceSource\": \"Stripe\",\n \"referenceId\": \"cus_123456\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ContactReference';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: 501,
contactIndividualId: null,
referenceSource: 'Stripe',
referenceId: 'cus_123456'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 25,
"contactId": 501,
"contactIndividualId": null,
"referenceSource": "Stripe",
"referenceId": "cus_123456"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Create a Contact Reference
Creates a reference that links a contact to a record in an external system. The response includes a numeric id for this Contact Reference record; it is different from the external referenceId. Use the numeric id to retrieve, update, or delete this specific reference. Query for an existing contact, referenceSource, and referenceId match before creating a reference if you need to avoid duplicates.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The identifier of the contact this record belongs to.
The contact individual's identifier, if applicable.
The name of the external system that owns the reference identifier, for example Stripe, MailChimp, or Shopify.
The identifier of the record in the reference source system.
80Response
OK
A Contact Reference and its numeric Virtuous record id.
The numeric id of this Contact Reference record.
The id of the contact this reference belongs to.
The associated contact individual's id, if any.
The external system that owns the reference identifier.
The identifier of the record in the external system.
80Was this page helpful?